QGIS Application - Bug report #7836
Inconsistent default estimation parameter between MSSQL and PostGIS
2013-05-15 06:46 PM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 16718
Description

Use estimated table parameters is enabled by default for MSSQL layers but Use estimated table metadata is disabled for PostGIS
layers.

| previously asked for PostGIS to have estimation turned on by default in #3453, but it was shot down due to fear of bad estimates. But
how likely will estimation produce unreliable results here? | still wonder if unreliable results is a boundary case? In the least, shouldn't we
have consistent parameters for both DB types?

History

#1 - 2013-05-16 01:03 AM - Jiirgen Fischer
- Category changed from Data Provider/PostGIS to Data Provider/MSSQL

the oracle and postgis provider don't use estimates by default.

#2 - 2014-01-30 11:41 PM - Paolo Cavallini
- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
